Bill Allombert on Mon, 10 Nov 2003 15:18:00 +0100

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: gp2c

On Sun, Nov 09, 2003 at 07:42:37PM -0800, Justin C. Walker wrote:
> Hi,
> I have downloaded gp2c 0.0.2(pl6) and am trying to build it on Mac OS X 
> 10.3.  I get this strange output from 'configure':
> checking for PARI source tree... found in ./pari
> checking for PARI version... 2.2.7 (development)

Go no further. PARI CVS 2.2.7 is not compatible with gp2c.
We have spent quite sometime this week-end to fix it but it is not
yet complete. Please wait for gp2c 0.0.3 or use PARI 2.2.6, sorry
for the inconvenience.

> It's strange, in that 'pari' (built from CVS just now; v1.854) built 
> without a problem, but the file in question ( does not 
> seem to be around.  Is this just a version mismatch?

We have renamed '' to 'pari.cfg' and 'src/desc/Def' to 
'src/desc/pari.desc' and 'make install' now install them.

> FWIW, I followed the 'tutorial' steps for installing gp2c.

Installing gp2c will be easier with the new scheme, since you will not
need the full pari tree anymore.

  For the qsecretary thing, I get it each time I send an email to
the PARI list and it is pretty annoying when you are on a dial-up
connection. So I use the following procmail recipe that automatically
reply to the qsecretary program.

* ^From: "The qsecretary program" <list-pari-(users|dev)-notbulkmail-[0-9a-f]>
| (formail -rt; cat /home/bill/.bsec) | tee /home/bill/.bsec.log | /usr/lib/sendmail -t

You have to write a nice /home/bill/.bsec message for added flavour.